<main class="container">
	<p class="text-center text-2xl uppercase">Bienvenue <strong>{{ user.surname }} {{ user.name }}</strong></p>
    <p class="text-center text-md">Vous êtes connecté en tant que responsable de la société {{ society.name }}</p>

    <div class="flex flex-col my-6">
		<div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
			<div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
				<table class="min-w-full">
					<caption class="text-left text-xl m-3">Mes infos</caption>
					<thead>
						<tr>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Numéro de téléphone
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Adresse email
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Participation à la Garden Party
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Besoin d'un hébergement
							</th>
							<th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
						</tr>
					</thead>

					<tbody class="bg-white">
							<tr>
								<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
									{{ user.phone }}
								</td>
								<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
									{{ user.email }}
								</td>

								<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
									{% if user.gardenParty %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
											Oui
										</span>

									{% else %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
											Non
										</span>
									{% endif %}
								</td>
								<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
									{% if user.hosting %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
											Oui
										</span>

									{% else %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
											Non
										</span>
									{% endif %}
								</td>
								<td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
									<a href="{{ path('user_profile_edit', {'id': app.user.id}) }}" class="text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Modifier</a>
								</td>
							</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<div class="flex flex-wrap">
		<div class="w-full md:w-1/2 xl:w-1/3 p-3">
			<!--Metric Card-->
			<div class="bg-green-lightest border-b-4 border-green-dark rounded-lg shadow-lg p-5">
				<div class="flex flex-row items-center">
					<div class="flex-shrink pr-4">
						<div class="rounded-full p-5" id="svg-picto"><i class="far fa-calendar-alt fa-2x"></i></div>
					</div>
					<div class="flex-1 text-right md:text-center">
					<h5 class="uppercase text-grey-dark font-bold">Édition</h5>
					{% if edition is empty %}
						<p>La prochaine édition n'a pas encore été programmée</p>
					{% else %}
						{% if participation is empty %}
							{%  if edition.editorRegistration %}
								<p class="mb-5">Les inscriptions pour l'édition {{ edition.year }} sont ouvertes</p>
								<a class="btn" href="{{ path('participation_new') }}">S'inscrire à l'édition</a>
							{% else %}
								<p>Les inscriptions pour l'édition {{ edition.year }} sont fermées</p>
							{% endif %}
						{% else %}
							<p class="mb-2">{{ edition.name }} ({{ edition.year }})</p>
							<p class="mb-2">Nombre de tables : {{ participation.numberTables }}
							<br>Dont animées : {{ participation.numberAnimationTable }}</p>
							<p class="mb-2">Nombre de repas : {{ participation.numberMeal }}
							<p>J'ai besoin d'électricité : <i class="fas {{participation.needSocket ? 'fa-check-circle text-green-600' : 'fa-times-circle text-red-600'}}"></i></p>
							<p class="mb-2">Je souhaite vendre mes jeux : <i class="fas {{participation.sellingOption ? 'fa-check-circle text-green-600' : 'fa-times-circle text-red-600'}}"></i></p>
							{{ participation.comment is not empty ? '<p class="mb-5">Commentaire : {{ participation.comment }}</p>' : '' }}
							<a class="btn" href="/participation">Modifier mon insc</a>
						{% endif %}
					{% endif %}
					</div>
				</div>
			</div>
			<!--/Metric Card-->
		</div>


        <div class="w-full md:w-1/2 xl:w-1/3 p-3">
            <!--Metric Card-->
            <div class="bg-green-lightest border-b-4 border-green-dark rounded-lg shadow-lg p-5">
                <div class="flex flex-row items-center">
                    <div class="flex-shrink pr-4">
                        <div class="rounded-full p-5 bg-green-dark">
							<img class="w-24" src="{{ vich_uploader_asset(society, 'logoFile') }}" alt="">
						</div>
                    </div>
                    <div class="flex-1 text-right md:text-center">
                        <h5 class="uppercase text-grey-dark font-bold">{{ society.name }}</h5>
                        <p class="text-md">{{ society.address }}</p>
                        <p class="mb-5">{{ society.siret }}</p>
                        <a class="btn" href="{{ path('society_edit', {'id': society.id}) }}">Modifier</a>
                    </div>
                </div>
            </div>
            <!--/Metric Card-->
        </div>
        <div class="w-full md:w-1/2 xl:w-1/3 p-3">
            <!--Metric Card-->
            <div class="bg-orange-lightest border-b-4 border-orange rounded-lg shadow-lg p-5">
                <div class="flex flex-row items-center">
                    <div class="flex-shrink pr-4">
                        <div class="rounded-full p-5 bg-orange-dark" id="svg-picto"><i class="fas fa-users fa-2x "></i></div>
                    </div>
                    <div class="flex-1 text-right md:text-center">
                        <h5 class="uppercase text-grey-dark font-bold mb-5">Salariés</h5>
                        <ul class="liste-salaries liste-dashboard">
                        {% for salarie in listeSalaries %}
                            <li class="mb-2"><i class="far fa-circle mr-3"></i><p class="mr-3 md:mr-0 inline">{{ salarie.surname }} {{ salarie.name }}</p> <a href="{{ path('promote', {'id': salarie.id}) }}" class="tooltip"><i class="fas fa-medal"></i></a></li>
                        {% endfor %}
                        </ul>
                    </div>
                </div>
            </div>
            <!--/Metric Card-->
        </div>
		{% if listeGames %}
		<div class="w-full md:w-1/2 xl:w-1/3 p-3">
			<!--Metric Card-->
            <div class="bg-orange-lightest border-b-4 border-orange rounded-lg shadow-lg p-5">
                <div class="flex flex-row items-center">
                    <div class="flex-shrink pr-4">
                        <div class="rounded-full p-5 bg-orange-dark" id="svg-picto"><i class="fas fa-puzzle-piece fa-2x "></i></div>
                    </div>
                    <div class="flex-1 text-right md:text-center">
                        <h5 class="uppercase text-grey-dark font-bold mb-5">Jeux de votre société</h5>
                        <ul class="liste-dashboard liste-games mb-5">
							{% for game in listeGames %}
								<li class="mb-2"><i class="far fa-circle mr-3"></i><p class="mr-3 md:mr-0 inline">{{ game.name }} - {{ game.editor }}</p></li>
							{% endfor %}
						</ul>
						<a class="btn" href="/game">Modifier</a>
                    </div>
                </div>
            </div>
            <!--/Metric Card-->
		</div>
		{% endif %}
    </div>
</main>
